print.xgb.Booster {xgboost} | R Documentation

## Print xgb.Booster

### Description

Print information about xgb.Booster.

### Usage

    ## S3 method for class 'xgb.Booster'
    print(x, verbose = FALSE, ...)

### Arguments

`x` | an xgb.Booster object
`verbose` | whether to print detailed data (e.g., attribute values)
`...` | not currently used

### Examples

    data(agaricus.train, package='xgboost')
    train <- agaricus.train
    bst <- xgboost(data = train$data, label = train$label, max_depth = 2,
                   eta = 1, nthread = 2, nrounds = 2, objective = "binary:logistic")
    attr(bst, 'myattr') <- 'memo'

    print(bst)
    print(bst, verbose=TRUE)

[Package xgboost version 0.90.0.2 Index]